#include <stdio.h>
#include <stdlib.h>

int main()
{
   long long int v, st=1;
   int  t=0,c=0, a=0 ,b=0;
   scanf("%lld",&v);
   long long int z=v;
   while(z){
        st*=10;
        z/=10;
   }
   st/=10;
        while(v){
            for(a=0;a<=(v/(5*st)); a++){
        for(b=0;b<=(v-a*5*st)/(2*st);b++){
            c=(v-a*5*st-b*2*st)/st;
        }
    }
        t+=a+b+c;
    if(v-a*5*st<0)
        t--;
    else v=v-(a*5)*st;
    if(v-b*2*st)
        t--;
        else v=v-(b*2)*st;
        if(v-c*st<0)
            t--;
        if(v/st!=0)
            v=v%st;
        st/=10;
        }
        printf("%d",t);
}